<!DOCTYPE html>
<html lang="en">
  <%- include("../partials/head.ejs")%>
  <body class="body">
    <div class="container-fluid">
      <div class="row">
        <div class="col-2" id="sideBar">
          <%- include("../partials/sidebar.ejs")%>
        </div>

        <div class="col-10" style="height: 100vh; overflow-y: auto">
          <div class="row" style="margin-bottom: 10px">
            <%- include("../partials/navbarhomepage.ejs")%>
          </div>
          <div class="row">
            <!-- Bagian tengah  -->
            <div class="col-8" id="bagianTengah">
              <!-- Motivation -->
              <div class="boxcolor">
                <div class="row">
                  <div class="col" id="quote">
                    <p class="text" id="content">
                      " <%= motivate.dailyMotivation %>""
                    </p>
                    <!-- <p class="text" id="author">- Brian Tracy</p> -->
                  </div>
                  <div class="col-4" id="vektorSatu">
                    <img
                      src="/assets/img/hompage/undraw_celebration_0jvk 1.png"
                    />
                  </div>
                </div>
              </div>

              <!-- Paling Banyak dicari -->
              <div class="row" style="padding-top: 40px; padding-right: 20px">
                <div class="col">
                  <p class="text" id="judulBagian">Paling banyak dicari</p>
                </div>
                <div class="col" style="text-align: end; padding-right: 0px">
                  <a
                    href="/lihatsemua"
                    type="button"
                    class="btn"
                    id="lihatSemua"
                  >
                    Lihat semua
                  </a>
                </div>
              </div>
              <!-- Button Pilihan -->
              <div
                class="row"
                style="margin: 0px 0px 0px 0px; padding-right: 20px"
              >
                <!-- button pertama -->
                <% if (goals != null) { goals.forEach(element => { %>
                <div class="col" style="padding: 0px 0px 0px 0px">
                  <a type="button" class="btn" id="btnKegiatan">
                    <div class="row" style="margin: 0px 0px 0px 0px">
                      <div
                        class="col-6"
                        style="text-align: left; padding: 0px 0px 0px 8px"
                      >
                        <p id="txtPilihan"><%= element.namaGoal %></p>
                      </div>
                      <div class="col" style="padding: 0px 0px 0px 10px">
                        <img
                          src="/assets/img/hompage/undraw_business_shop_qw5t (1) 1.png"
                        />
                      </div>
                    </div>
                  </a>
                </div>
                <% }) } %>
              </div>
              <!-- Progres Saya -->
              <div class="row" style="padding-top: 40px; padding-right: 20px">
                <div class="col">
                  <p class="text" id="judulBagian">Progres saya</p>
                </div>
                <div class="col" style="text-align: end; padding-right: 0px">
                  <button type="button" class="btn" id="lihatSemua">
                    Lihat semua
                  </button>
                </div>
              </div>

              <!-- data Progres bar -->
              <% if (dataProgressBar[0] != null) { %> <%
              dataProgressBar.forEach(element => { %>
              <div class="bagianProgres">
                <div class="row">
                  <div class="col-2" style="padding: 6px 0px 0px 25px">
                    <img
                      src="/assets/img/hompage/undraw_Mobile_life_re_jtih 1.png"
                    />
                  </div>
                  <div class="col-4">
                    <h6 id="judulProgres"><%= element.namaGoal %></h6>
                    <p id="descProgres">deskripsi milestone selanjutnya</p>
                  </div>
                  <% if (element.data) { %>
                  <div class="col" style="padding: 41px 0px 0px 35px">
                    <div class="progress">
                      <div
                        style="width: <%= element.progress %>%"
                        class="progress-bar"
                        role="progressbar"
                        aria-valuenow=" "
                        aria-valuemin="0%"
                        aria-valuemax="100%"
                      >
                        <%= element.data.done %> / <%= element.data.total %>
                      </div>
                    </div>
                  </div>
                  <% }else{ %>
                  <div class="col" style="padding: 41px 0px 0px 35px">
                    <div class="progress">
                      <div
                        style="width: 10%"
                        class="progress-bar"
                        role="progressbar"
                        aria-valuenow="0%"
                        aria-valuemin="0%"
                        aria-valuemax="100%"
                      >
                        0/0
                      </div>
                    </div>
                  </div>
                  <% } %>
                </div>
              </div>

              <% }) %> <%} %>
            </div>
            <!-- Bagian Kanan  -->
            <div class="col-4" id="bagianKanan">
              <div class="col">
                <p class="text" id="judulBagian">To Do List kamu hari ini!</p>
              </div>

              <div class="row" id="daftarKegiatan">
                <div class="col">
                  <% if (task != null) { task.forEach(element => { if
                  (moment(element.dateList).format('DD/MM/YYYY') == tanggal) {
                  if (element.userId == idUser) { %>
                  <div class="row <%= element.warnaList %>" id="jenisKegiatan">
                    <p id="textKegiatan"><%= element.namaList %></p>
                  </div>
                  <% } } }) } %>
                </div>
                <div class="col-1">
                  <!-- buat slider -->
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <section>
      <!-- Optional JavaScript; choose one of the two! -->

      <!-- Option 1: jQuery and Bootstrap Bundle (includes Popper) -->
      <script
        src="https://code.jquery.com/jquery-3.5.1.slim.min.js"
        integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
        crossorigin="anonymous"
      ></script>
      <script
        src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-Piv4xVNRyMGpqkS2by6br4gNJ7DXjqk09RmUpJ8jgGtD7zP9yug3goQfGII0yAns"
        crossorigin="anonymous"
      ></script>

      <!-- Option 2: Separate Popper and Bootstrap JS -->
      <!--
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.min.js" integrity="sha384-+YQ4JLhjyBLPDQt//I+STsc9iw4uQqACwlvpslubQzn4u2UU2UFM80nGisd026JF" crossorigin="anonymous"></script>
    --></section>
  </body>
</html>
